function X = CDP_naive(T)
    [n dump] = size(T);
    m = sum(T{:,1}=="BAS");
    V = dec2bin(0:2^m-1)-'0';
    Z = [0 0];
    for i = 1:2^m
        Exp = zeros(n,1);
        Act = zeros(n,1);
        Tx = table(Exp,Act);
        T2 = [T Tx];
        counter = 1;
        for j = 1:n
            if T2{j,1} == "BAS"
                T2{j,6} = V(i,counter)*T2{j,5};
                T2{j,7} = V(i,counter);
                counter = counter+1;
            else
                children = T2{j,2}{1};
                [dump l] = size(children);
                X = zeros(l,1);
                for k = 1:l
                    X(k) = T2{children(k),6};
                end
                if T2{j,1} == "OR"
                    T2{j,6} = 1-prod(1-X);
                else
                    T2{j,6} = prod(X);
                end
            end
        end
        C = T2{:,3}'*T2{:,7};
        D = T2{:,4}'*T2{:,6};
        [sizeZ dump] = size(Z);
        optimal = 1;
        r = 1;
        while optimal && r <= sizeZ
            if Z(r,1) <= C && Z(r,2) >= D
                optimal = 0;
            elseif Z(r,1) >= C && Z(r,2) <= D
                Z(r,:) = [];
                r = r-1;
                sizeZ = sizeZ-1;
            end
            r = r+1;
        end
        if optimal
            Z = [Z; C D];
        end
    %disp([num2str(i/mm*100),'%']);
    end
    X = Z;
end

