function X = CD_naive(T)
    [n dump] = size(T);
    m = sum(T{:,1}=="BAS");
    V = dec2bin(0:2^m-1)-'0';
    Z = [0 0];
    for i = 1:2^m
        T2 = [T table(zeros(n,1))];
        counter = 1;
        for j = 1:n
            if T2{j,1} == "BAS"
                T2{j,5} = V(i,counter);
                counter = counter+1;
            else
                children = T2{j,2}{1};
                [dump l] = size(children);
                X = zeros(l,1);
                for k = 1:l
                    X(k) = T2{children(k),5};
                end
                if T2{j,1} == "OR"
                    T2{j,5} = max(X);
                else
                    T2{j,5} = min(X);
                end
            end
        end
        C = T2{:,3}'*T2{:,5};
        D = T2{:,4}'*T2{:,5};
        [sizeZ dump] = size(Z);
        optimal = 1;
        r = 1;
        while optimal && r <= sizeZ
            if Z(r,1) <= C && Z(r,2) >= D
                optimal = 0;
            elseif Z(r,1) >= C && Z(r,2) <= D
                Z(r,:) = [];
                r = r-1;
                sizeZ = sizeZ-1;
            end
            r = r+1;
        end
        if optimal
            Z = [Z; C D];
        end
        %disp([num2str(i/(2^m)*100),'%']);
    end
    X = Z;
end

