function Y = Pareto_CDP(X)
[n dump] = size(X);
Y = [];
for i = 1:n
    optimal = 1;
    for j = 1:n
        if X(j,1) == X(i,1) && X(j,2) == X(i,2) && X(j,3) == X(i,3)
            if j < i
                optimal = 0;
            end            
        elseif X(j,1) <= X(i,1) && X(j,2) >= X(i,2) && X(j,3) >= X(i,3)
            optimal = 0;
        end
    end
    if optimal
        Y = [Y; X(i,:)];
    end
end
