function X = Paretoplot(Y)
    [n dump] = size(Y);
    X = zeros(2*n-1,2);
    for i = 1:n
        X(2*i-1,1) = Y(i,1);
        X(2*i-1,2) = Y(i,2);
        if i < n
            X(2*i,1) = Y(i+1,1);
            X(2*i,2) = Y(i,2);
        end
    end
    plot(X(:,1),X(:,2),'Color','black');
    hold on
    plot(Y(:,1),Y(:,2),'LineStyle','none','Marker','o','Color','black');
end