function X = CDP_BU(T)
[n dump] = size(T);
fronts = table(cell(n,1));
fronts.Properties.RowNames = T.Properties.RowNames;
for i = 1:n
    if T{i,1} == "BAS"
        fronts{i,1} = {[0 0 0; T{i,3} T{i,4}*T{i,5} T{i,5}]};
    elseif T{i,1} == "OR"
        children = T{i,2}{1};
        [dump m] = size(children);
        X = fronts{children(1),1}{1};
        d = 0;
        for j = 2:m
            Y = fronts{children(j),1}{1};
            if j == m
                d = T{i,4};
            end
            Z = OrPlus(X,Y,d);
            X = Pareto_CDP(Z);
        end
        fronts{i,1} = {X};
    else
        children = T{i,2}{1};
        [dump m] = size(children);
        X = fronts{children(1),1}{1};
        d = 0;
        for j = 2:m
            Y = fronts{children(j),1}{1};
            if j == m
                d = T{i,4};
            end
            Z = AndPlus(X,Y,d);
            X = Pareto_CDP(Z);
        end
        fronts{i,1} = {X};
    end
end
X = fronts{n,1}{1}(:,1:2);
X = sort(Pareto_CD(X));
end
