function E = CD_BILP(T)
    [n dump] = size(T);
    y = binvar(n,1);
    obj_dam = -T{:,4}'*y;
    obj_cos = T{:,3}'*y;
    cons = [];
    Number = (1:n)';
    T2 = [T table(Number)];
    for i = 1:n
        if T{i,1} == "AND"
            for tag = T{i,2}{1}
                cons = [cons; y(i) <= y(T2{tag,"Number"})];
            end
        end
        if T{i,1} == "OR"
            b = zeros(n,1);
            for tag = T{i,2}{1}
                b(T2{tag,"Number"}) = 1;
            end
            cons = [cons; y(i) <= b'*y];
        end
    end
    B = T{:,3};
    r = length(B);
    this = B(1);
    for x = 2:r
        this = gcd(this,B(x));
    end
    ggd = this;
    GUB = sum(T{:,3});
    GLB = 0;
    w = 1/(GUB-GLB+ggd);
    dontstop = 1;
    I2 = GUB;
    E = [];
    ops = sdpsettings('verbose',0,'solver','gurobi');
    while dontstop == 1
        obj = obj_dam + w*obj_cos;
        cons2 = [cons; obj_cos <= I2];
        check = optimize(cons2,obj,ops);
        if check.problem == 0
            E = [E; value(obj_cos) -value(obj_dam)];
            I2 = value(obj_cos)-ggd;
        else
            dontstop = 0;
        end
    end
    E = sort(E);
end