tbxmanager enable mpt mptdoc cddmex fourier glpkmex hysdel lcp sedumi espresso yalmip
addpath C:/gurobi951/win64/matlab %Local path for Gurobi

%%https://www.researchgate.net/profile/Rong-Jiang/publication/259264171_An_Attack_Tree_Based_Risk_Assessment_for_Location_Privacy_in_Wireless_Sensor_Networks/links/02e7e52a9e890b83d7000000/An-Attack-Tree-Based-Risk-Assessment-for-Location-Privacy-in-Wireless-Sensor-Networks.pdf
D_MesDec = 10;
D_NodCom = 5;
D_Glob = 15;
D_Group = 5;
D_Base = 45;
D_Purchase = 15;
D_Root = 5;
Name = ["AnalyticalReasoning";"BruteForce";"PasswordCracked";"ObtainMessages";"MessagesDecyphered";"LookForNodes";"CrackSecurity";"NodeCompromised";"SearchInformation";"InfoThroughNode";"Capture";"PhysicalLayer";"MACLayer";"ApplianceLayer";"GlobalTrafficInfoCollection";"HighMonitorEquipment";"GlobalInfoCompromised";"ComputeLocalInfo";"GlobalEavesdropping";"GroupMonitorEquipment";"TrafficInformationCollection";"AnalyzeCollectedInformation";"GroupEavesdropping";"FindBaseStation";"HopByHop";"LocalEavesdropping";"Eavesdropping";"LookForBaseStation";"CrackPassword";"PhysicalTheft";"SendMaliciousCodes";"RunMaliciousCodes";"CodeTheft";"BaseStationCompromised";"3rdPartyPurchase";"InternalLeakage";"Purchase";"PrivacyLeakage"];
Type = ["BAS";"BAS";"OR";"BAS";"AND";"BAS";"BAS";"AND";"BAS";"AND";"OR";"BAS";"BAS";"BAS";"OR";"BAS";"AND";"BAS";"AND";"BAS";"BAS";"BAS";"AND";"BAS";"BAS";"AND";"OR";"BAS";"BAS";"AND";"BAS";"BAS";"AND";"OR";"BAS";"BAS";"OR";"OR"];
Children = {[];[];["AnalyticalReasoning" "BruteForce"];[];["ObtainMessages" "PasswordCracked"];[];[];["LookForNodes" "CrackSecurity"];[];["NodeCompromised" "SearchInformation"];["MessagesDecyphered" "InfoThroughNode"];[];[];[];["PhysicalLayer" "MACLayer" "ApplianceLayer"];[];["HighMonitorEquipment" "GlobalTrafficInfoCollection"];[];["GlobalInfoCompromised" "ComputeLocalInfo"];[];[];[];["GroupMonitorEquipment" "TrafficInformationCollection" "AnalyzeCollectedInformation"];[];[];["FindBaseStation" "HopByHop"];["GlobalEavesdropping" "GroupEavesdropping" "LocalEavesdropping"];[];[];["LookForBaseStation" "CrackPassword"];[];[];["SendMaliciousCodes" "RunMaliciousCodes"];["PhysicalTheft" "CodeTheft"];[];[];["3rdPartyPurchase" "InternalLeakage"];["Capture" "Eavesdropping" "BaseStationCompromised" "Purchase"]};
Cost = [4;3;0;1;0;2;3;0;2;0;0;2;3;3;0;4;0;3;0;3;3;2;0;1;3;0;0;1;3;0;1;3;0;0;4;3;0;0];
Damage = [0;0;0;0;D_MesDec;0;0;D_NodCom;0;0;0;0;0;0;0;0;D_Glob;0;0;0;0;0;D_Group;0;0;0;0;0;0;0;0;0;0;D_Base;0;0;D_Purchase;D_Root];
Probability = [0.5;0.3;0;0.5;0;0.5;0.5;0;0.7;0;0;0.7;0.7;0.7;0;0.9;0;0.9;0;0.9;0.9;0.7;0;0.7;0.5;0;0;0.7;0.3;0;0.3;0.3;0;0;0.1;0.9;0;0];
T_loc_prob = table(Type,Children,Cost,Damage,Probability);
T_loc = table(Type,Children,Cost,Damage);
T_loc_prob.Properties.RowNames = Name;
T_loc.Properties.RowNames = Name;
PF_loc = CD_BU(T_loc);
PF_loc_prob = CDP_BU(T_loc_prob);

%https://dl.acm.org/doi/pdf/10.1145/1315245.1315272
%https://www.cs.colostate.edu/~cs656/papers-to-read/p2012IJIS-dewri.pdf
%https://www.sciencedirect.com/science/article/pii/S0898122111007991
Name = ["InternetSMTP";"RhostSMTP";"AuthSMTP";"RSHSMTP";"UserAccessSMTP";"LICQTerminal";"UserAccessTerminal";"AtBufferOverflow";"RootAccessTerminal";"InternetFTP";"FTPAttack";"FTPBufferOverflow";"SSHAttack";"SSHBufferOverflow";"RootAccessFTP";"RhostFTP";"AuthFTP";"RSHFTP";"LoginFTP";"UserAccessFTP";"ConnectServer";"LICQServer";"UserAccessServer";"SUIDServer";"RootAccessServer"];
Type = ["BAS";"BAS";"AND";"BAS";"AND";"BAS";"AND";"BAS";"AND";"BAS";"BAS";"AND";"BAS";"AND";"OR";"BAS";"AND";"BAS";"AND";"OR";"OR";"BAS";"AND";"BAS";"AND"];
Children = {[];[];["InternetSMTP" "RhostSMTP"];[];["RSHSMTP" "AuthSMTP"];[];["LICQTerminal" "UserAccessSMTP"];[];["AtBufferOverflow" "UserAccessTerminal"];[];[];["InternetFTP" "FTPAttack"];[];["InternetFTP" "SSHAttack"];["FTPBufferOverflow" "SSHBufferOverflow"];[];["InternetFTP" "RhostFTP"];[];["AuthFTP" "RSHFTP"];["RootAccessFTP" "LoginFTP"];["RootAccessTerminal" "UserAccessTerminal" "UserAccessSMTP" "RootAccessFTP" "UserAccessFTP"];[];["LICQServer" "ConnectServer"];[];["SUIDServer" "UserAccessServer"]};
Cost = [100;161;0;147;0;155;0;150;0;100;155;0;150;0;0;161;0;147;0;0;0;155;0;163;0];
Damage = [0;0;0;0;10.8;0;5;0;7;0;0;0;0;0;10.5;0;0;0;0;13.5;0;0;0;0;36];
T_server = table(Type,Children,Cost,Damage);
T_server.Properties.RowNames = Name;
PF_server = CD_BILP(T_server);

%Cost-damage Pareto Fronts for this paper

writematrix(PF_loc,'CD_panda.csv');
writematrix(PF_loc_prob,'CDP_panda.csv');
writematrix(PF_server,'CD_server.csv');

%-----------------------------------------------------------------------------------------------------------------------------------------
timefunc_panda_det_BU = @() CD_BU(T_loc);
timefunc_panda_det_BILP = @() CD_BILP(T_loc);
timefunc_panda_det_naive = @() CD_naive(T_loc);

time_panda_det_BU = timeit(timefunc_panda_det_BU);
time_panda_det_BILP = timeit(timefunc_panda_det_BILP);
time_panda_det_naive = timeit(timefunc_panda_det_naive);

timefunc_panda_prob_BU = @() CDP_BU(T_loc_prob);
timefunc_panda_prob_naive = @()CD_naive(T_loc_prob);

time_panda_prob_BU = timeit(timefunc_panda_prob_BU);
time_panda_prob_naive = timeit(timefunc_panda_prob_naive);

timefunc_server_det_BILP = @() CD_BILP(T_server);
timefunc_server_det_naive = @() CD_naive(T_server);

time_server_det_BILP = timeit(timefunc_server_det_BILP);
time_server_det_naive = timeit(timefunc_server_det_naive);

Timetable = [time_panda_det_BU time_panda_det_BILP time_panda_det_naive;
             time_panda_prob_BU 0 time_panda_prob_naive;
             0 time_server_det_BILP time_server_det_naive];

%Table of timing results for ATs with fixed cdp values

writematrix(Timetable,'Timetable.csv');


%-----------------------------------------------------------------------------------------------------------------
Ntests = 100;
time_panda_det_BU_random = zeros(Ntests,1);
time_panda_det_BILP_random = zeros(Ntests,1);
time_panda_prob_BU_random = zeros(Ntests,1);
for i = 1:Ntests
    Name = ["AnalyticalReasoning";"BruteForce";"PasswordCracked";"ObtainMessages";"MessagesDecyphered";"LookForNodes";"CrackSecurity";"NodeCompromised";"SearchInformation";"InfoThroughNode";"Capture";"PhysicalLayer";"MACLayer";"ApplianceLayer";"GlobalTrafficInfoCollection";"HighMonitorEquipment";"GlobalInfoCompromised";"ComputeLocalInfo";"GlobalEavesdropping";"GroupMonitorEquipment";"TrafficInformationCollection";"AnalyzeCollectedInformation";"GroupEavesdropping";"FindBaseStation";"HopByHop";"LocalEavesdropping";"Eavesdropping";"LookForBaseStation";"CrackPassword";"PhysicalTheft";"SendMaliciousCodes";"RunMaliciousCodes";"CodeTheft";"BaseStationCompromised";"3rdPartyPurchase";"InternalLeakage";"Purchase";"PrivacyLeakage"];
    Type = ["BAS";"BAS";"OR";"BAS";"AND";"BAS";"BAS";"AND";"BAS";"AND";"OR";"BAS";"BAS";"BAS";"OR";"BAS";"AND";"BAS";"AND";"BAS";"BAS";"BAS";"AND";"BAS";"BAS";"AND";"OR";"BAS";"BAS";"AND";"BAS";"BAS";"AND";"OR";"BAS";"BAS";"OR";"OR"];
    Children = {[];[];["AnalyticalReasoning" "BruteForce"];[];["ObtainMessages" "PasswordCracked"];[];[];["LookForNodes" "CrackSecurity"];[];["NodeCompromised" "SearchInformation"];["MessagesDecyphered" "InfoThroughNode"];[];[];[];["PhysicalLayer" "MACLayer" "ApplianceLayer"];[];["HighMonitorEquipment" "GlobalTrafficInfoCollection"];[];["GlobalInfoCompromised" "ComputeLocalInfo"];[];[];[];["GroupMonitorEquipment" "TrafficInformationCollection" "AnalyzeCollectedInformation"];[];[];["FindBaseStation" "HopByHop"];["GlobalEavesdropping" "GroupEavesdropping" "LocalEavesdropping"];[];[];["LookForBaseStation" "CrackPassword"];[];[];["SendMaliciousCodes" "RunMaliciousCodes"];["PhysicalTheft" "CodeTheft"];[];[];["3rdPartyPurchase" "InternalLeakage"];["Capture" "Eavesdropping" "BaseStationCompromised" "Purchase"]};
    Damage = randi([0 10],38,1);
    Cost = zeros(38,1);
    Probability = zeros(38,1);
    for j = 1:38
        if Type(j) == "BAS"
            Cost(j) = randi([1 10]);
            Probability(j) = randi([1 10])/10;
        end
    end
    T_loc_prob = table(Type,Children,Cost,Damage,Probability);
    T_loc = table(Type,Children,Cost,Damage);
    T_loc_prob.Properties.RowNames = Name;
    T_loc.Properties.RowNames = Name;
    f = @() CD_BU(T_loc);
    time_panda_det_BU_random(i) = timeit(f);
    f = @() CD_BILP(T_loc);
    time_panda_det_BILP_random(i) = timeit(f);
    f = @() CDP_BU(T_loc_prob);
    time_panda_prob_BU_random(i) = timeit(f);
end

time_server_det_BILP_random = zeros(Ntests,1);
time_server_det_naive_random = zeros(Ntests,1);
for i = 1:Ntests
    Name = ["InternetSMTP";"RhostSMTP";"AuthSMTP";"RSHSMTP";"UserAccessSMTP";"LICQTerminal";"UserAccessTerminal";"AtBufferOverflow";"RootAccessTerminal";"InternetFTP";"FTPAttack";"FTPBufferOverflow";"SSHAttack";"SSHBufferOverflow";"RootAccessFTP";"RhostFTP";"AuthFTP";"RSHFTP";"LoginFTP";"UserAccessFTP";"ConnectServer";"LICQServer";"UserAccessServer";"SUIDServer";"RootAccessServer"];
    Type = ["BAS";"BAS";"AND";"BAS";"AND";"BAS";"AND";"BAS";"AND";"BAS";"BAS";"AND";"BAS";"AND";"OR";"BAS";"AND";"BAS";"AND";"OR";"OR";"BAS";"AND";"BAS";"AND"];
    Children = {[];[];["InternetSMTP" "RhostSMTP"];[];["RSHSMTP" "AuthSMTP"];[];["LICQTerminal" "UserAccessSMTP"];[];["AtBufferOverflow" "UserAccessTerminal"];[];[];["InternetFTP" "FTPAttack"];[];["InternetFTP" "SSHAttack"];["FTPBufferOverflow" "SSHBufferOverflow"];[];["InternetFTP" "RhostFTP"];[];["AuthFTP" "RSHFTP"];["RootAccessFTP" "LoginFTP"];["RootAccessTerminal" "UserAccessTerminal" "UserAccessSMTP" "RootAccessFTP" "UserAccessFTP"];[];["LICQServer" "ConnectServer"];[];["SUIDServer" "UserAccessServer"]};
    Cost = zeros(25,1);
    Damage = randi([0 10],25,1);
    for j = 1:25
        if Type(j) == "BAS"
            Cost(j) = randi([1 10]);
        end
    end
    T_server = table(Type,Children,Cost,Damage);
    T_server.Properties.RowNames = Name;
    f = @() CD_BILP(T_server);
    time_server_det_BILP_random(i) = timeit(f);
    f = @() CD_naive(T_server);
    time_server_det_naive_random(i) = timeit(f);
end

t = cputime;
CD_naive(T_server);
cputime-t

% Average times for ATs with random cdp values

Timetable_averages = [mean(time_panda_det_BU_random) mean(time_panda_det_BILP_random) 0;
                      mean(time_panda_prob_BU_random) 0 0;
                      0 mean(time_server_det_BILP_random) mean(time_server_det_naive_random)];
                  
% Standard deviations for ATs with random cdp values
                  
Timetable_deviations = [std(time_panda_det_BU_random) std(time_panda_det_BILP_random) 0;
                      std(time_panda_prob_BU_random) 0 0;
                      0 std(time_server_det_BILP_random) 0];

writematrix(Timetable_averages,'Timetable_averages.csv');
writematrix(Timetable_deviations,'Timetable_deviations.csv');


%-----------------------------------------------------------------------------------------------------------------

%Generation of treelike random ATs.

    TreeForest = {};
    next = 1;
    for i = 1:100
        for j = 1:5
            TreeForest{next} = bigDAT(i,1);
            next = next+1;
            [i j]
        end
    end
    %Bucket DATs according to size
    TreeBuckets = {{};{};{};{};{};{};{};{};{};{};{};{}};
    for i = 1:500
        [L dump] = size(TreeForest{i});
        buc = min(ceil(L/10),12);
        l = length(TreeBuckets{buc});
        TreeBuckets{buc}{l+1} = TreeForest{i};
    end

%Generation of DAG-like random ATs.    
    
    DAGForest = {};
    next = 1;
    for i = 1:100
        for j = 1:5
            DAGForest{next} = bigDAT(i,0);
            next = next+1;
            [i j]
        end
    end    
    DAGBuckets = {{};{};{};{};{};{};{};{};{};{};{};{}};
    for i = 1:500
        [L dump] = size(DAGForest{i});
        buc = min(ceil(L/10),12);
        l = length(DAGBuckets{buc});
        DAGBuckets{buc}{l+1} = DAGForest{i};
    end
    
    %BU treelike deterministic
    
    R_T_CDBU = {[];[];[];[];[];[];[];[];[];[];[];[]};
    for buc = 1:12
        for i = 1:length(TreeBuckets{buc})
            t = cputime;
            CD_BU(TreeBuckets{buc}{i});
            t = cputime-t;
            R_T_CDBU{buc} = [R_T_CDBU{buc}; t];
        end
    end
    
    %BU treelike probabilistic
    
    R_T_CDPBU = {[];[];[];[];[];[];[];[];[];[];[];[]};
    for buc = 1:12
        for i = 1:length(TreeBuckets{buc})
            t = cputime;
            CDP_BU(TreeBuckets{buc}{i});
            t = cputime-t;
            R_T_CDPBU{buc} = [R_T_CDPBU{buc}; t];
        end
    end
    
%BILP treelike deterministic   
    
R_T_CDBILP = {[];[];[];[];[];[];[];[];[];[];[];[]};
    for buc = 1:12
        for i = 1:length(TreeBuckets{buc})
            t = cputime;
            CD_BILP(TreeBuckets{buc}{i});
            t = cputime-t;
            R_T_CDBILP{buc} = [R_T_CDBILP{buc}; t];
        end
    end

 %BILP DAG-like deterministic   

 R_D_CDBILP = {[];[];[];[];[];[];[];[];[];[];[];[]};
    for buc = 1:12
        for i = 1:length(DAGBuckets{buc})
            t = cputime;
            CD_BILP(DAGBuckets{buc}{i});
            t = cputime-t;
            R_D_CDBILP{buc} = [R_D_CDBILP{buc}; t];
        end
    end

%Enum DAG-like deterministic    
    
    R_D_CDnaive = {[];[];[]};
    for buc = 1:3
        for i = 1:length(DAGBuckets{buc})
            t = cputime;
            CD_naive(DAGBuckets{buc}{i});
            t = cputime-t;
            R_D_CDnaive{buc} = [R_D_CDnaive{buc}; t];
        end
    end    

%Enum treelike deterministic
    
R_T_CDnaive = {[];[];[]};
    for buc = 1:3
        for i = 1:length(TreeBuckets{buc})
            t = cputime;
            CD_naive(TreeBuckets{buc}{i});
            t = cputime-t;
            R_T_CDnaive{buc} = [R_T_CDnaive{buc}; t];
            [i length(TreeBuckets{buc}) buc t]
            datetime
            disp('CDnaive')
        end
    end

%Enum treelike probabilistic    
    
R_T_CDPnaive = {[];[];[]};
    for buc = 1:3
        for i = 1:length(TreeBuckets{buc})
            t = cputime;
            CDP_naive(TreeBuckets{buc}{i});
            t = cputime-t;
            R_T_CDPnaive{buc} = [R_T_CDPnaive{buc}; t];
            [i length(TreeBuckets{buc}) buc t]
            datetime
            disp('CDPnaive')
        end
    end

% Fig. 7a    
Graph_Tree_BU = zeros(12,1);
Graph_Tree_BILP = zeros(12,1);
Graph_Tree_enum = zeros(3,1);
for i = 1:12
    Graph_Tree_BU(i) = log(mean(R_T_CDBU{i}))/log(10);
    Graph_Tree_BILP(i) = log(mean(R_T_CDBILP{i}))/log(10);
    if i < 4
        Graph_Tree_enum(i) = log(mean(R_T_CDnaive{i}))/log(10);
    end
end
writematrix([(0:11)'+0.5 Graph_Tree_BU],'7aBU.csv');
writematrix([(0:11)'+0.5 Graph_Tree_BILP],'7aBILP.csv');
writematrix([(0:2)'+0.5 Graph_Tree_enum],'7aEnum.csv');

% Fig. 7b   
Graph_Tree_PBU = zeros(12,1);
Graph_Tree_Penum = zeros(3,1);
for i = 1:12
    %Graph_Tree_PBU(i) = log(mean(R_T_CDPBU{i}))/log(10);
    if i < 4
        Graph_Tree_Penum(i) = log(mean(R_T_CDPnaive{i}))/log(10);
    end
end
writematrix([(0:11)'+0.5 Graph_Tree_PBU],'7bBU.csv');
writematrix([(0:2)'+0.5 Graph_Tree_Penum],'7bEnum.csv');

% Fig. 7b    
Graph_DAG_BILP = zeros(12,1);
Graph_DAG_enum = zeros(3,1);
for i = 1:12
    Graph_DAG_BILP(i) = log(mean(R_D_CDBILP{i}))/log(10);
    if i < 4
        Graph_DAG_enum(i) = log(mean(R_D_CDnaive{i}))/log(10);
    end
end
writematrix([(0:11)'+0.5 Graph_DAG_BILP],'7cBILP.csv');
writematrix([(0:2)'+0.5 Graph_DAG_enum],'7cEnum.csv');

%Table 7d

all_tree_det_BU = [];
all_tree_det_BILP = [];
all_tree_det_enum = [];
all_tree_prob_BU = [];
all_tree_prob_enum = [];
all_DAG_det_BILP = [];
all_DAG_det_enum = [];

for i = 1:12
    all_tree_det_BU = [all_tree_det_BU; R_T_CDBU{i}];
    all_tree_det_BILP = [all_tree_det_BILP; R_T_CDBILP{i}];
    all_tree_prob_BU = [all_tree_prob_BU; R_T_CDPBU{i}];
    all_DAG_det_BILP = [all_DAG_det_BILP; R_D_CDBILP{i}];
    if i < 4
        all_tree_det_enum = [all_tree_det_enum; R_T_CDnaive{i}];
        all_tree_prob_enum = [all_tree_prob_enum; R_T_CDPnaive{i}];
        all_DAG_det_enum = [all_DAG_det_enum; R_D_CDnaive{i}];
    end
end

X = [min(all_tree_det_BU) min(all_tree_det_BILP) min(all_tree_det_enum);
    mean(all_tree_det_BU) mean(all_tree_det_BILP) mean(all_tree_det_enum);
    max(all_tree_det_BU) max(all_tree_det_BILP) max(all_tree_det_enum);
    min(all_tree_prob_BU) 0 min(all_tree_prob_enum);
    mean(all_tree_prob_BU) 0 mean(all_tree_prob_enum);
    max(all_tree_prob_BU) 0 max(all_tree_prob_enum);
    0 min(all_DAG_det_BILP) min(all_DAG_det_enum);
    0 mean(all_DAG_det_BILP) mean(all_DAG_det_enum);
    0 max(all_DAG_det_BILP) max(all_DAG_det_enum)];
writematrix(X,'7d.csv');